Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 498006

Summary: www-apache/mod_wsgi-3.4-r1: segfault with www-servers/apache-2.4*
Product: Gentoo Linux Reporter: Tony Czeh <tony.czeh>
Component: [OLD] ServerAssignee: Dirkjan Ochtman <djc>
Status: RESOLVED FIXED    
Severity: major CC: alex_y_xu
Priority: Normal Keywords: EBUILD, PATCH
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 468302    
Attachments: mod_wsgi.c patch
Updated ebuild

Description Tony Czeh 2014-01-13 15:00:25 UTC
mod_wsgi-3.4-r1 segfaults when in daemon mode in apache-2.4 due to a missing upstream patch documented here: https://code.google.com/p/modwsgi/source/detail?r=20979c8abd2f722d210d419b96c85e46a36e2d75

Patch and updated ebuild attached.  Tested in a local overlay without issue.
Comment 1 Tony Czeh 2014-01-13 15:01:16 UTC
Created attachment 367788 [details, diff]
mod_wsgi.c patch
Comment 2 Tony Czeh 2014-01-13 15:01:43 UTC
Created attachment 367790 [details]
Updated ebuild
Comment 3 Dirkjan Ochtman gentoo-dev 2014-05-26 09:11:18 UTC
I've bumped mod_wsgi to 3.5, this should work with 2.4. Lars, can you check?
Comment 4 Tony Czeh 2014-05-27 17:06:52 UTC
I've checked the mod-wsgi3.5 build against my application in apache2.4.9 with no issues.
Comment 5 Dirkjan Ochtman gentoo-dev 2014-05-27 17:09:54 UTC
Thanks! I'll close this.